Exception::getFile
Exception::getTrace
Exception
PHP Manual

# Exception::getLine

(PHP 5 >= 5.1.0)

Exception::getLine — Gets the line in which the exception occurred

### Opis

final public string Exception::getLine ( void )

Returns line number where the exception was thrown.

### Parametry

Ta funkcja nie posiada parametrów.

### Zwracane wartości

Returns the line number where the exception was thrown.

### Przykłady

Example #1 Exception::getLine() example

`<?php
try {
throw new Exception("Some error message");
} catch(Exception $e) {
echo "The exception was thrown on line: " . $e->getLine();
}
?>`

Powyższy przykład wyświetli coś podobnego do:

    The exception was thrown on line: 3

Exception::getFile
Exception::getTrace
Exception
PHP Manual